package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.common.PageInfo;
import com.fdkankan.ucenter.entity.VirtualOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.vo.request.IncrementOrderParam;
import com.fdkankan.ucenter.vo.request.VirtualOrderParam;

import java.util.List;

/**
 * <p>
 * 充值订单表（双目相机点数充值、消费） 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-13
 */
public interface IVirtualOrderService extends IService<VirtualOrder> {

    PageInfo pageList(VirtualOrderParam param);

    VirtualOrder getByOrderSn(String orderSn);

    boolean paySuccessVirtualOrder(String orderSn, String tradeNo, int paymentTypeName);

    List<VirtualOrder> getByCameraId(Long cameraId);

    VirtualOrder getByOrderSnNoPay(String orderSn);
}
